var interval = 15000;
var gDate = null;

function parseDate(aDate, aTime)
{
	var dateArr = aDate.split('-');
	var timeArr = aTime.split(':');
	
	if (dateArr.length != 3 || timeArr.length != 3)
		return false;

	return dateArr.concat(timeArr);
}

function updateDate(aResponse)
{
	var dateValue = null;
	var timeValue = null;
	
	var inputs = aResponse.getElementsByTagName('input');
	
	for (var i = 0; i < inputs.length; i++) {
		var name = inputs[i].getAttribute('name');
		var value = inputs[i].getAttribute('value');

		switch(name) {
			case "date":
				dateValue = value;
				break;
			case "time":
				timeValue = value;
				break;
		}
	}
	
	var elems = parseDate(dateValue, timeValue);
	gDate = new Date(elems[0], elems[1]-1, elems[2], elems[3], elems[4], elems[5]);
	
	window.setTimeout (function () { ajaxSubmit(updateDate); }, interval);
}

function initUpdateDate()
{
    window.setTimeout (function () { ajaxSubmit(updateDate); }, interval);
    updateDate(document);
    CoolClock.findAndCreateClocks();
}

addEvent(window,"load",initUpdateDate);
